%global __requires_exclude typelib\\\(AppIndicator3\\\)

Name:           caffeine
Version:        2.4.1.498
Release:        %mkrel 10
Summary:        Utility to inhibit screensaver and sleep modes
License:        GPLv3+ and LGPLv3+
Group:          Graphics/Utilities
Url:            https://launchpad.net/caffeine
Source0:        %{name}-%{version}.tar.xz
Patch0:         caffeine-2.4.1.498-mga-desktop-files.patch

# For typelib() Requires
BuildRequires:  gobject-introspection
BuildRequires:  pkgconfig(python2)

Requires:       python-xlib
Requires:       python-notify
Requires:       python-pyxdg
Requires:       python-dbus

BuildArch:      noarch

%description
Caffeine is a status bar application able to temporarily prevent the
activation of both the screensaver and the "sleep" powersaving mode.

%prep
%setup -q
%autopatch -p1

%build
%py2_build

%install
%py2_install
# we don't need ubuntu themes
rm -r %{buildroot}%{_datadir}/icons/ubuntu*
rm -r %{buildroot}%{_sysconfdir}

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING COPYING.LESSER ICONS.INFO README
%{_bindir}/%{name}
%{python2_sitelib}/%{name}
%{python2_sitelib}/%{name}-2.5-py%{python2_version}.egg-info
%{_datadir}/glib-2.0/schemas/net.launchpad.%{name}.gschema.xml
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/status/%{name}-*.*
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 2.4.1.498-10.mga6
+ Revision: 971667
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 daviddavid <daviddavid> 2.4.1.498-9.mga6
+ Revision: 892243
- use new python2 macros (fix build failure)

* Fri Jun 26 2015 alexl <alexl> 2.4.1.498-8.mga6
+ Revision: 845430
- add missing requires

* Tue Jan 06 2015 alexl <alexl> 2.4.1.498-7.mga5
+ Revision: 808754
- updated desktop files

* Wed Oct 15 2014 umeabot <umeabot> 2.4.1.498-6.mga5
+ Revision: 746199
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4.1.498-5.mga5
+ Revision: 725992
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4.1.498-4.mga5
+ Revision: 678281
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Thu Jul 31 2014 alexl <alexl> 2.4.1.498-3.mga5
+ Revision: 658756
- translated desktop file (i18n-desktop.patch)

* Sat May 31 2014 pterjan <pterjan> 2.4.1.498-2.mga5
+ Revision: 628123
- Rebuild for new Python

* Thu Apr 10 2014 alexl <alexl> 2.4.1.498-1.mga5
+ Revision: 613345
- fix desktop categories
- imported package caffeine

